## GESEffect GESEffect — adds an effect build from a parse-launch style bin description to a stream in a GESSourceClip or a GESLayer |

## Properties

gchar * | bin-description | Read / Write / Construct Only

## Types and Values

| GESEffect

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESTrackElement
                    ╰── GESOperation
                        ╰── GESBaseEffect
                            ╰── GESEffect

## Implemented Interfaces

GESEffect implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

## Functions

## Types and Values

### GESEffect

    typedef struct _GESEffect GESEffect;

## Property Details

### The `“bin-description”` property

      “bin-description”          gchar *

The description of the effect bin with a gst-launch-style pipeline description.

Example: "videobalance saturation=1.5 hue=+0.5"

Flags: Read / Write / Construct Only

Default value: NULL